org.apache.felix.bundlerepository.impl

## Class FileUtil

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.FileUtil

    public class FileUtil
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`FileUtil()`

### Method Summary

Methods
`static void` `copy(java.io.InputStream is, java.io.File dir, java.lang.String destName, java.lang.String destDir, byte[] buffer)`
`static void` `downloadSource(java.io.PrintStream out, java.io.PrintStream err, java.net.URL srcURL, java.lang.String dirStr, boolean extract)`
`static java.io.InputStream` `openURL(java.net.URL url)`
`static java.io.InputStream` `openURL(java.net.URLConnection conn)`
`static void` `setProxyAuth(java.net.URLConnection conn)`
`static void` `unjar(java.util.jar.JarInputStream jis, java.io.File dir)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileUtil

    public FileUtil()

### Method Detail

#### downloadSource

    public static void downloadSource(java.io.PrintStream out,
                      java.io.PrintStream err,
                      java.net.URL srcURL,
                      java.lang.String dirStr,
                      boolean extract)

#### unjar

    public static void unjar(java.util.jar.JarInputStream jis,
             java.io.File dir)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### copy

    public static void copy(java.io.InputStream is,
            java.io.File dir,
            java.lang.String destName,
            java.lang.String destDir,
            byte[] buffer)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

#### setProxyAuth

    public static void setProxyAuth(java.net.URLConnection conn)
                             throws java.io.IOException

Throws:
  `java.io.IOException`

#### openURL

    public static java.io.InputStream openURL(java.net.URL url)
                                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### openURL

    public static java.io.InputStream openURL(java.net.URLConnection conn)
                                       throws java.io.IOException

Throws:
  `java.io.IOException`